/* Define this, so the compiler doesn't complain about using old APIs. */
#define PHYSFS_DEPRECATED

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string>

#include <physfs.h>

#define TEST_VERSION_MAJOR  3
#define TEST_VERSION_MINOR  0
#define TEST_VERSION_PATCH  1


int main(int argc, char **argv)
{
    char *buf = NULL;
    int rc = 0;

    printf("\n");

    if (!PHYSFS_init(argv[0]))
    {
        printf("PHYSFS_init() failed!\n  reason: %s.\n", PHYSFS_getLastError());
        return 1;
    } /* if */
	printf("PHYSFS_init() success!\n");
	
	//std::string modelsDirectory = PHYSFS_getRealDir("models/models.txt");
	//modelsDirectory.append(PHYSFS_getDirSeparator()).append("models/models.txt");	
	//printf("loading models from directory %s\n", modelsDirectory.c_str());

	
	

    char **rca;


    rca = PHYSFS_enumerateFiles("PROGDIR:");

    if (rca == NULL)
        printf("Failure. reason: %s.\n", PHYSFS_getLastError());
    else
    {
        int file_count;
        char **i;
        for (i = rca, file_count = 0; *i != NULL; i++, file_count++)
            printf("%s\n", *i);

        printf("\n total (%d) files.\n", file_count);
        PHYSFS_freeList(rca);
    } /* else */

 
 
 
	


    if (!PHYSFS_deinit())
        printf("PHYSFS_deinit() failed!\n  reason: %s.\n", PHYSFS_getLastError());
	printf("PHYSFS_deinit() success!\n");

    return 0;
} /* main */

