//#define PHYSFS_DEPRECATED

#include <stdio.h>
#include <stdlib.h>
#include <errno.h>
#include <string>

#include <physfs.h>

#define TEST_VERSION_MAJOR  3
#define TEST_VERSION_MINOR  0
#define TEST_VERSION_PATCH  1


int main(int argc, char **argv)
{
	// init PHYSFS
	PHYSFS_init("/");
	if ( !PHYSFS_isInit() )
	{
		printf("[PhysFS]: failed to initialize! Error code: %d\n", PHYSFS_getLastErrorCode());
		return -1;
	}
	else
	{
		printf("[PhysFS]: successfully initialized, returned: %d\n", PHYSFS_getLastErrorCode());
	}
			
	if ( PHYSFS_isInit() )
	{
		PHYSFS_deinit();
		printf("[PhysFS]: De-initializing...\n");
	}
		
	
}